Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running Class Reference

Inheritance diagram for TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running:

[legend]
Collaboration diagram for TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running:

[legend]
List of all members.

## Public Methods
| TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running (TAO_ServerRequest &_tao_server_request, TAO_Object_Adapter::Servant_Upcall *tao_servant_upcall, POA_ImplementationRepository::Administration *tao_impl, const char *server, const char *addr, ImplementationRepository::ServerObject_ptr server_object ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual Dynamic::ParameterList * | arguments (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the list of arguments passed to the current operation.
virtual Dynamic::ExceptionList * | exceptions (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Any * | result (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual char * | target_most_derived_interface (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Return the most derived interface of the target object.
virtual CORBA::Boolean | target_is_a (const char *id ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Private Methods
| TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running (const TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running &)
void | operator= (const TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running &)
## Private Attributes
POA_ImplementationRepository::Administration * | _tao_impl
const char * | server_
const char * | addr_
ImplementationRepository::ServerObject_ptr | server_object_

## Constructor & Destructor Documentation

TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running | ( | TAO_ServerRequest & | _tao_server_request,
|  | TAO_Object_Adapter::Servant_Upcall * | tao_servant_upcall,
|  | POA_ImplementationRepository::Administration * | tao_impl,
|  | const char * | server,
|  | const char * | addr,
|  | ImplementationRepository::ServerObject_ptr server_object | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) |

TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running | ( | const TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running & |  | ) | `[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::arguments | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of arguments passed to the current operation. Reimplemented from TAO_ServerRequestInfo.

Dynamic::ExceptionList * TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::exceptions | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the list of exceptions the current operation is capable of throwing. Reimplemented from TAO_ServerRequestInfo.

void TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::operator= | ( | const TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running & |  | ) | `[private]`

CORBA::Any * TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::result | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the result of the current request. If there is no return value then an Any with tk_void TypeCode is returned. This is method is not valid for oneway operations. Reimplemented from TAO_ServerRequestInfo.

CORBA::Boolean TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::target_is_a | ( | const char *id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Returns true if the target's type corresponds to the given RepositoryId. Reimplemented from TAO_ServerRequestInfo.

char * TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::target_most_derived_interface | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the most derived interface of the target object. Reimplemented from TAO_ServerRequestInfo.

## Member Data Documentation

POA_ImplementationRepository::Administration* TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::_tao_impl`[private]`

const char* TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::addr_`[private]`

const char* TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::server_`[private]`

ImplementationRepository::ServerObject_ptr TAO_ServerRequestInfo_ImplementationRepository_Administration_server_is_running::server_object_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoS.cpp